Name:          jaxb2-common-basics
Version:       0.6.3
Release:       11%{?dist}
Summary:       JAXB2 Basics
License:       BSD
Url:           http://java.net/projects/jaxb2-commons/pages/Home
# svn export https://svn.java.net/svn/jaxb2-commons~svn/basics/tags/0.6.3 jaxb2-common-basics-0.6.3
# tar czf jaxb2-common-basics-0.6.3-src-svn.tar.gz jaxb2-common-basics-0.6.3
Source0:       %{name}-%{version}-src-svn.tar.gz
# from http://confluence.highsource.org/display/J2B/License
# jaxb2-common-basics package don't include the license file
# but jaxb2-commons developers allowed us to redistribute their
# work only if we include this notice. So we HAVE TO include these notices.
Source1:       %{name}-LICENSE
# remove 
#    org.springframework spring 2.0.7
#   test deps
#    org.jvnet.jaxb2.maven2 maven-jaxb2-plugin-testing
#    com.vividsolutions jts 1.8
# change
#    groupId ant in org.apache.ant
#    artifactId ant-optional in ant
#    version 1.5.3-1 in 1.8.2
Patch0:        %{name}-0.6.3-fixbuild.patch
# todo BR/R org.springframework spring-beans spring-context-support 2.5.6
#atch1:        jaxb2-common-basics-0.6.2-spring2.patch

BuildRequires: sonatype-oss-parent

BuildRequires: annox
BuildRequires: ant
BuildRequires: apache-commons-beanutils
BuildRequires: apache-commons-io
BuildRequires: apache-commons-lang
BuildRequires: apache-commons-logging
BuildRequires: glassfish-jaxb
BuildRequires: junit
BuildRequires: xmlunit

BuildRequires: maven-local
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-jaxb2-plugin
BuildRequires: maven-plugin-bundle
BuildRequires: maven-source-plugin

BuildArch:     noarch

%description
JAXB2 Basics is a part of JAXB2 Commons project which
implements plugins and tools for JAXB 2.x reference
implementation.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
find \( -name '*.jar' -o -name '*.class' -o -name '*.bat' \) -exec rm -f '{}' \;

cp -p %{SOURCE1} LICENSE
sed -i 's/\r//' LICENSE

%patch0 -p1
# require jts 1.8
rm -rf runtime/src/test/java/org/jvnet/jaxb2_commons/lang/tests/CopyStrategyTest.java
# require maven-jaxb2-plugin-testing
rm -rf basic/src/test/*
rm -rf annotate/src/test/java/org/jvnet/jaxb2_commons/plugin/annotate/tests/*
# require spring framework
rm -rf tools/src/main/java/org/jvnet/jaxb2_commons/plugin/spring/*

sed -i "s|com.sun.tools.xjc.outline.Aspect|com.sun.tools.xjc.model.Aspect|" \
 tools/src/main/java/org/jvnet/jaxb2_commons/xjc/model/concrete/XJCCMInfoFactory.java

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Fri Feb 06 2015 gil cattaneo <puntogil@libero.it> 0.6.3-11
- introduce license macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 0.6.3-9
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 09 2013 gil cattaneo <puntogil@libero.it> 0.6.3-7
- switch to XMvn
- minor changes to adapt to current guideline

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 0.6.3-5
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu May 17 2012 gil cattaneo <puntogil@libero.it> 0.6.3-3
- install all jar files in a separate %%_javadir subdirectory

* Thu May 17 2012 gil cattaneo <puntogil@libero.it> 0.6.3-2
- add license

* Sat Mar 31 2012 gil cattaneo <puntogil@libero.it> 0.6.3-1
- initial rpm
